%define anolis_release 1

Name:           devscripts
Version:        2.23.3
Release:        %{anolis_release}%{?dist}
Summary:        Scripts for Debian Package maintainers

License:        GPL-2.0-or-later
URL:            https://packages.debian.org/sid/%{name}
Source0:        http://ftp.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz
# Fixes path to xsl-stylesheet manpages docbook.xsl
Patch0:         devscripts_docbook.patch
# Removes the debian-only --install-layout python-setuptools option
Patch1:         devscripts_install-layout.patch
# Install some additional man pages
Patch2:         devscripts_install-man.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl-Pod-Checker

BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt
BuildRequires:  po4a
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  dpkg-devel
BuildRequires:  dpkg-dev
BuildRequires:  help2man
BuildRequires:  pkgconfig(bash-completion)

Requires:       dpkg-dev
Requires:       sensible-utils
# man for manpage-alert
Requires:       %{_bindir}/man

Requires:       %{name}-checkbashisms

# rhbz 1508087, 1536718
Obsoletes:      hardening-check < 2.6-8
Provides:       hardening-check = 2.6-8

%description
Scripts to make the life of a Debian Package maintainer easier.

%package checkbashisms
Summary:        Devscripts checkbashisms script
Obsoletes:      devscripts-minimal < 2.16.6-1
# Removed in F30
Obsoletes:      devscripts-compat < 2.19.2-4

%description checkbashisms
This package contains the devscripts checkbashisms script.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}


%build
# Parallel build occasionally broken
make CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}"


%install
%make_install

# Install docs through %%doc
rm -rf %{buildroot}%{_datadir}/doc
rm %{buildroot}%{_bindir}/archpath %{buildroot}%{_mandir}/man1/archpath*
rm %{buildroot}%{_bindir}/whodepends %{buildroot}%{_mandir}/man1/whodepends*

# Create symlinks like the debian package does
ln -s %{_bindir}/cvs-debi      %{buildroot}%{_bindir}/cvs-debc
ln -s %{_bindir}/debchange     %{buildroot}%{_bindir}/dch
ln -s %{_bindir}/pts-subscribe %{buildroot}%{_bindir}/pts-unsubscribe
ln -s %{_mandir}/man1/debchange.1.gz     %{buildroot}%{_mandir}/man1/dch.1.gz
ln -s %{_mandir}/man1/pts-subscribe.1.gz %{buildroot}%{_mandir}/man1/pts-unsubscribe.1.gz

%generate_compatibility_deps

%files
%license COPYING
%{_datadir}/bash-completion
%{_bindir}/*
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}*.egg-info/
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{perl_vendorlib}/Devscripts
%exclude %{_bindir}/checkbashisms
%exclude %{_mandir}/man1/checkbashisms.1*
%dir %{abidir}
%{abidir}/*-option.list
%exclude %{abidir}/checkbashisms-option.list

%files checkbashisms
%{_bindir}/checkbashisms
%{_mandir}/man1/checkbashisms.1*
%{_mandir}/man5/devscripts.conf.5*
%{_datadir}/bash-completion/completions/checkbashisms
%{abidir}/checkbashisms-option.list

%files doc
%doc README

%changelog
* Thu Mar 16 2023 happy_orange <songnannan@linux.alibaba.com> - 2.23.3-1
- init package
